package top.leisuretimedock.dglabgame.core.capability;

import net.minecraft.resources.ResourceLocation;
import top.leisuretimedock.dglabgame.api.capability.IDGLabData;
import top.r3944realms.lib39.core.sync.NBTEntitySyncData;

public abstract sealed class AbstractDGLabData extends NBTEntitySyncData implements IDGLabData permits EntityDGLabData {
    protected boolean acceptUserAgreements;
    protected AbstractDGLabData(ResourceLocation id) {
        super(id);
    }

    @Override
    public boolean hasAcceptUseAgreements() {
        return acceptUserAgreements;
    }

    @Override
    public void setAcceptUseAgreements(boolean acceptUseAgreements) {
        this.acceptUserAgreements = acceptUseAgreements;
        markDirty();
    }
}
